Package org.apache.ignite.internal.processors.platform.client.datastructures

## Class ClientIgniteSetClearRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.datastructures.ClientIgniteSetRequest
    - - org.apache.ignite.internal.processors.platform.client.datastructures.ClientIgniteSetClearRequest

All Implemented Interfaces:
  `ClientListenerRequest`

    public class ClientIgniteSetClearRequest
    extends ClientIgniteSetRequest

Clears the IgniteSet.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
`ClientIgniteSetClearRequest​(BinaryRawReader reader)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ClientResponse` `process​(IgniteSet<Object> set)` Processes the request.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.datastructures.ClientIgniteSetRequest

`igniteSet, name, notFoundResponse, process`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`isAsync, processAsync, requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`beforeStartupRequest`

### Constructor Detail

#### ClientIgniteSetClearRequest

    public ClientIgniteSetClearRequest​(BinaryRawReader reader)

Constructor.

Parameters:
  `reader` - Reader.

### Method Detail

#### process

    protected ClientResponse process​(IgniteSet<Object> set)

Processes the request.

Overrides:
  `process` in class `ClientIgniteSetRequest`
Parameters:
  `set` - Ignite set.
Returns:
  Response.